
Foreman - Feature #117

Add SSL redirection

12/07/2009 01:50 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It should be possible to enable foreman on SSL ports.

however, kickstart (and maybe others) must work on port 80.

therefore, Foreman should be able to redirect the correct traffic to SSL ports when enabled.

Associated revisions

Revision 6c6713de - 12/14/2009 02:48 AM - Ohad Levy

fixes #117 - Add SSL redirection

History

#1 - 12/10/2009 05:08 PM - Frank Sweetser

http://agilewebdevelopment.com/plugins/ssl_requirement looks like a good fit.  I'll play around with it and post any good results.

#2 - 12/10/2009 06:23 PM - Frank Sweetser

- File 0001-Require-SSL-for-hosts-controller.patch added

Here's the code, applied to just the hosts controller only.  Let me know if this looks reasonable, and I'll do a first pass at expanding it to the rest of the

application.

#3 - 12/11/2009 01:53 AM - Ohad Levy

I was actully thinking about something (that I think is ) simpliar - e.g. in the application control have:

def switch_to_https

    if request.host=~/localhost|127.0.0.1|test\.host|www.example.com/

      return true

    else

      if request.protocol != 'https' and not request.ssl?

        redirect_to :protocol => 'https'

      end

    end

    true

  end

 and then in each controller, where you don't want to force ssl, e.g. in the unattended controller:

  before_filter :require_login, :switch_to_https, :except => :kickstart

#4 - 12/14/2009 02:50 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 6c6713de5e95425d2f288143293c7992527bba92.

#5 - 12/14/2009 06:09 AM - Ohad Levy
http://agilewebdevelopment.com/plugins/ssl_requirement
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6c6713de5e95425d2f288143293c7992527bba92


- Status changed from Ready For Testing to Closed

Files

0001-Require-SSL-for-hosts-controller.patch 9.04 KB 12/10/2009 Frank Sweetser
